Package org.wso2.carbon.logging.admin.stub.types.axis2

## Class AddLogger

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.AddLogger

- All Implemented Interfaces:
    `Serializable`, `org.apache.axis2.databinding.ADBBean`

      public class AddLogger
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  AddLogger bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AddLogger.Factory` | Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `localLoggerClass` | field for LoggerClass
    `protected boolean` | `localLoggerClassTracker` |
    `protected String` | `localLoggerName` | field for LoggerName
    `protected boolean` | `localLoggerNameTracker` |
    `protected String` | `localLogLevel` | field for LogLevel
    `protected boolean` | `localLogLevelTracker` |
    `static QName` | `MY_QNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddLogger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLoggerClass()` | Auto generated getter method
    `String` | `getLoggerName()` | Auto generated getter method
    `String` | `getLogLevel()` | Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement​(QName parentQName, org.apache.axiom.om.OMFactory factory)` |
    `XMLStreamReader` | `getPullParser​(QName qName)` | databinding method to get an XML representation of this object
    `boolean` | `isLoggerClassSpecified()` |
    `boolean` | `isLoggerNameSpecified()` |
    `boolean` | `isLogLevelSpecified()` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter)` |
    `void` | `serialize​(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)` |
    `void` | `setLoggerClass​(String param)` | Auto generated setter method
    `void` | `setLoggerName​(String param)` | Auto generated setter method
    `void` | `setLogLevel​(String param)` | Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localLoggerName

          protected String localLoggerName

      field for LoggerName

    - #### localLoggerNameTracker

          protected boolean localLoggerNameTracker

    - #### localLoggerClass

          protected String localLoggerClass

      field for LoggerClass

    - #### localLoggerClassTracker

          protected boolean localLoggerClassTracker

    - #### localLogLevel

          protected String localLogLevel

      field for LogLevel

    - #### localLogLevelTracker

          protected boolean localLogLevelTracker

  - ### Constructor Detail

    - #### AddLogger

          public AddLogger()

  - ### Method Detail

    - #### isLoggerNameSpecified

          public boolean isLoggerNameSpecified()

    - #### getLoggerName

          public String getLoggerName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLoggerName

          public void setLoggerName​(String param)

      Auto generated setter method
      Parameters:
        `param` - LoggerName

    - #### isLoggerClassSpecified

          public boolean isLoggerClassSpecified()

    - #### getLoggerClass

          public String getLoggerClass()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLoggerClass

          public void setLoggerClass​(String param)

      Auto generated setter method
      Parameters:
        `param` - LoggerClass

    - #### isLogLevelSpecified

          public boolean isLogLevelSpecified()

    - #### getLogLevel

          public String getLogLevel()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogLevel

          public void setLogLevel​(String param)

      Auto generated setter method
      Parameters:
        `param` - LogLevel

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement​(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize​(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser​(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`